Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 735344 - gnome-extra/libgda: need py3 port
Summary: gnome-extra/libgda: need py3 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard: can remove USE=reports
Keywords:
Depends on: 734968
Blocks: py3-tracker, python-3-incompatible
  Show dependency tree
 
Reported: 2020-08-02 14:24 UTC by Michał Górny
Modified: 2020-09-19 20:05 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-08-02 14:24:32 UTC
Please port to py3.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-01 10:04:26 UTC
ping.
Comment 2 David Seifert gentoo-dev 2020-09-12 12:41:56 UTC
Upstream actually recommends not building reports, so I think this is safe to remove.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-09-19 12:35:06 UTC
Sure, I can remove that if someone figures out why it segfaults in middle of build.
Comment 4 Larry the Git Cow gentoo-dev 2020-09-19 20:04:23 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0270bffe2ae5306985b7156c374422754a18865d

commit 0270bffe2ae5306985b7156c374422754a18865d
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2020-09-19 20:04:09 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2020-09-19 20:04:18 +0000

    gnome-extra/libgda: Drop USE reports to kill python2
    
    Closes: https://bugs.gentoo.org/735344
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 gnome-extra/libgda/libgda-5.2.8-r1.ebuild | 29 ++++++-----------------------
 gnome-extra/libgda/metadata.xml           |  1 -
 2 files changed, 6 insertions(+), 24 deletions(-)
Comment 5 Pacho Ramos gentoo-dev 2020-09-19 20:05:05 UTC
For me it compiles fine :/ I will check that bug